今天换宝塔面板的php版本时出错,提示设置失败,没有在网站配置文件中找到enable-php-xx相关配置项
宝塔面板更换PHP版本出错

解决方法:

出现无法切换PHP版本,如果以前安装过OpenLiteSpeed这个插件的话,那么多半是这个插件残留网站配置文件的问题,把这个文件目录完全删除掉就好了。

文件位置:/www/server/panel/vhost/openlitespeed

直接删除OpenLiteSpeed这个文件就可以正常切换PHP版本了